Opened 3 years ago

Closed 2 years ago

#4720 closed change (fixed)

Edge packager does not support devenv

Reported by: oleksandr Assignee: tlucas
Priority: P3 Milestone:
Module: Automation Keywords:
Cc: sebastian, kvas, tlucas Blocked By:
Blocking: #5383 Platform: Edge
Ready: yes Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

https://codereview.adblockplus.org/29367148/
https://codereview.adblockplus.org/29575633/

Description (last modified by tlucas)

In #4028 we have added support for packaging Edge extensions. However support for devenv was not added. It is much easier to develop and test builds using the development environment. Since there are apparently no more differences in what we include in a devenv for Chrome and Edge, we should add support for devenv for Edge too.

Make sure the build script supports creating Edge devenv, by something like:
build.py -t edge devenv

Change History (8)

comment:1 Changed 3 years ago by oleksandr

  • Review URL(s) modified (diff)
  • Status changed from new to reviewing

comment:2 Changed 2 years ago by sebastian

  • Cc tlucas added
  • Priority changed from Unknown to P3
  • Ready set

comment:3 Changed 2 years ago by tlucas

  • Owner set to tlucas

comment:4 Changed 2 years ago by tlucas

  • Review URL(s) modified (diff)

comment:5 Changed 2 years ago by tlucas

  • Description modified (diff)

comment:6 Changed 2 years ago by tlucas

  • Blocking 5383 added

comment:7 Changed 2 years ago by abpbot

A commit referencing this issue has landed:
Issue 4720 - enable devenv target for Edge packager

comment:8 Changed 2 years ago by tlucas

  • Resolution set to fixed
  • Status changed from reviewing to closed
Note: See TracTickets for help on using tickets.